Page MenuHomePhabricator

Visual editor does not work with Modern Skin
Closed, ResolvedPublic

Description

On Wikipedia under Preferences/Appearance I switched on the Modern Skin. Going to any article, I see "edit this page" and "edit source" links at the top. But clicking on "edit this page" has no effect; the visual editor is not switched on.

Event Timeline

AxelBoldt created this task.Oct 2 2017, 5:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2017, 5:54 PM

The skin will probably need some changes to be compatble with VE. https://www.mediawiki.org/wiki/VisualEditor/Skin_requirements

Esanders triaged this task as Lowest priority.Oct 2 2017, 8:29 PM
Schnark added a subscriber: Schnark.Oct 4 2017, 8:20 AM

This bug consists of two different parts:
Part 1 is the fact, that Modern skin isn't compatible with VE (probably the missing #content).
Part 2 is the fact, that even though Modern skin isn't compatible with VE, the editing tab for VE is still shown.

Please note that the Modern skin is not actively maintained by the foundation, but community patches are always welcome.

Deskana moved this task from To Triage to Freezer on the VisualEditor board.Oct 5 2017, 12:45 PM

Change 596067 had a related patch set uploaded (by BrandonXLF; owner: BrandonXLF):
[mediawiki/skins/Modern@master] Add support for VisualEditor

https://gerrit.wikimedia.org/r/596067

Thanks for working on this, @BrandonXLF.

These changes can potentially break gadgets and other customizations that used the previous element IDs. Hopefully that won't happen, but if it does, then I'll take care of either reverting this patch, or reviewing any follow-up patches. I can't really commit to working on any fixes myself.

Change 596067 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Add support for VisualEditor

https://gerrit.wikimedia.org/r/596067

(I'll keep this task open for a bit so that it's easier to find, in case anyone finds an issue and wants to report it.)

For reference, this was also discussed recently here:

I think most gadgets will either prefer or fall-back to #content (on enWiki, only the gadget for T54810 will need tweaking, I think), but I'm not sure about user scripts and css. There's obviously not as healthy an ecosystem for modern-only gadgets, and a quick search suggests most js are old popup-clones, but I would imagine personal css will be messed up. A notice, at least, would be warranted.

Johan added a subscriber: Johan.EditedMay 14 2020, 7:10 PM

So something like this for Tech News, to be distributed on 25 May?

The visual editor will now work in the [[<tvar|modern>mw:Special:MyLanguage/Skin:Modern</>|Modern skin]]. The changes that needed to happen for this to work could cause problems for some scripts or gadgets.

@Johan Yeah, sounds good, thanks.

ppelberg closed this task as Resolved.Jun 5 2020, 1:17 AM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 5 2020, 1:17 AM